> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all your contacts

> Lists contacts.



## OpenAPI

````yaml get /api/contact
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/contact:
    get:
      tags:
        - Contact
      summary: List contacts
      description: Lists contacts.
      operationId: List Contacts
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: search
          schema:
            type: string
          description: >-
            You can search with the base `phone`, `first_name`, `last_name`,
            `email` and `external_url` fields.
          examples:
            ByContactEmail:
              value: erik@hilos.io
              summary: by contact email
            ByContactPhone:
              value: '+525512345678'
              summary: by contact phone
            ByContactLastName:
              value: Smith
              summary: by contact last_name
            ByContactFirstName:
              value: Jonh
              summary: by contact first_name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedContactListReadPublicList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedContactListReadPublicList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ContactListReadPublic'
    ContactListReadPublic:
      type: object
      properties:
        first_name:
          type: string
          nullable: true
          maxLength: 100
        last_name:
          type: string
          nullable: true
          maxLength: 100
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        meta:
          type: object
          additionalProperties: {}
        external_url:
          type: string
          format: uri
          nullable: true
          maxLength: 200
        canonical_phone:
          type: string
          maxLength: 30
        created_by:
          type: integer
          readOnly: true
          description: User ID of the user who created the contact
        phone:
          type: string
          description: Phone number of the contact
        created_on:
          type: string
          format: date-time
          readOnly: true
          title: Creado el
        last_updated_on:
          type: string
          format: date-time
          readOnly: true
          title: Última actualización el
        source:
          type: string
          maxLength: 255
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ContactTag'
          description: Tags associated with the contact
        id:
          type: string
          readOnly: true
          title: Contact ID
          description: UUID representing the contact ID
      required:
        - canonical_phone
        - created_by
        - created_on
        - id
        - last_updated_on
        - phone
        - source
        - tags
    ContactTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 100
      required:
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````